Subject: Re: bug#33567: Syntactic fontification of diff hunks

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Dec 2018 23:51:24 +0200

>> Does it help to remove foreground colors from diff-added and diff-removed?
>
> Yup. Except if I customize those and restart, I think the +'s and -'s on
> the left will become black as well, which is somewhat of a loss. So the
> colors might need to be moved to other definitions,
> e.g. diff-indicator-added.
>
> Further, I'm not sure if we should do the same to the look of the diff-mode
> buffers when diff-font-lock-syntax is nil. Just something to consider.
>
> Third, third-party code might rely on those faces looking as they do
> now. E.g. in diff-hl, diff-hl-insert inherits from diff-added, although
> this package likely won't be affected by this change (the faces define
> their own :foreground, for reasons lost to history).

A worse situation with Magit - I was asked to update Magit
to use this feature, but I don't know where to start:
Magit uses green/red colors both for background and foreground.

>> Neither GitHub nor GitLab have foreground green/red colors, only background
>> green/red colors.
>
> Those are the interfaces that built up my expectations as well.